clear
x=0:0.4:2*pi;   
y=sin(x);               %原始数据
N=length(y);
M=N*4;
x1=0:0.1:2*pi;              
y1=interpft(y,M-1);        %傅里叶插值      
y2=sin(x1);                  %插值点真实数据
plot(x,y,'O',x1,y1,'*',x1,y2,'-')
legend('原始数据','?傅里叶插值数据','插值点真实数据')
max(abs(y1-y2))




